## AgsOpenWave

AgsOpenWave — open wave

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsOpenWave * | ags_open_wave_new ()

## Properties

AgsAudio * | audio | Read / Write
AgsAudioFile * | audio-file | Read / Write
char * | filename | Read / Write
guint | start-pad | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsOpenWave

## Includes

    #include <ags/audio/task/ags_open_wave.h>

## Description

The AgsOpenWave task opens audio files as wave.

## Functions

### ags_open_wave_new ()

    AgsOpenWave *
    ags_open_wave_new (AgsAudio *audio,
                       AgsAudioFile *audio_file,
                       gchar *filename,
                       guint start_pad);

Creates an AgsOpenWave.

#### Parameters

audio | the AgsAudio |
audio_file | the AgsAudioFile or `NULL` |
filename | the Soundfont2 file |
start_pad | the pad start |

#### Returns

an new AgsOpenWave.

Since: 3.0.0

## Property Details

### The `“audio”` property

      “audio”                    AgsAudio *

The assigned AgsAudio

Owner: AgsOpenWave

Flags: Read / Write

Since: 3.0.0

### The `“audio-file”` property

      “audio-file”               AgsAudioFile *

The assigned AgsAudioFile

Owner: AgsOpenWave

Flags: Read / Write

Since: 3.0.0

### The `“filename”` property

      “filename”                 char *

The assigned filename.

Owner: AgsOpenWave

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“start-pad”` property

      “start-pad”                guint

The assigned start-pad.

Owner: AgsOpenWave

Flags: Read / Write

Default value: 0

Since: 3.0.0